	$jsonFile = ('{0}\Configuration.json' -f $PSScriptRoot);
	$json = (Get-Content $jsonFile | Out-String | ConvertFrom-Json);
	$TemplateFile = ('{0}\secRMMSCCM_to_Syslog_Template.vbs' -f $PSScriptRoot);
	$Template = (Get-Content $TemplateFile | Out-String);
	$SCCMSiteCode = $json.SCCMSiteCode;
	$Template = $Template.Replace('~~~SCCMSiteCode~~~', $SCCMSiteCode);
	$LogFile=('{0}\secRMMSCCM_to_Syslog.log' -f $PSScriptRoot);
	$Template = $Template.Replace('~~~LogFileName~~~', $LogFile);
	$SyslogServer = $json.SyslogServer;
	$Template = $Template.Replace('~~~SyslogServer~~~', $SyslogServer);
	$SyslogProtocol = $json.SyslogProtocol;
	$Template = $Template.Replace('~~~SyslogProtocol~~~', $SyslogProtocol);
	$SyslogPort = $json.SyslogPort;
	$Template = $Template.Replace('~~~SyslogPort~~~', $SyslogPort);
	$SyslogMaxLength = $json.SyslogMaxLength;
	$Template = $Template.Replace('~~~SyslogMaxLength~~~', $SyslogMaxLength);
	$OutputFile = ('{0}\secRMMSCCM_to_Syslog.vbs' -f $PSScriptRoot);
	Set-Content -Path $OutputFile -Value $Template;