#****************************************************************************
#
#  Module: Deactivate_secRMMSCCM_to_Syslog.ps1
#
#  Purpose: Stop secRMM events from SCCM to Syslog.      
#
#  Copyright (c) 2021 Squadra Technologies 
#   
#****************************************************************************

$jsonFile = ('{0}\Configuration.json' -f $PSScriptRoot);
$json = (Get-Content $jsonFile | Out-String | ConvertFrom-Json);
$Name = $json.Name;

Get-WMIObject -Namespace root/Subscription -Class __EventFilter -Filter "Name='$Name'" | Remove-WmiObject -Verbose;
Get-WMIObject -Namespace root/Subscription -Class ActiveScriptEventConsumer -Filter "Name='$Name'" | Remove-WmiObject -Verbose;
Get-WMIObject -Namespace root/Subscription -Class __FilterToConsumerBinding -Filter "__Path LIKE '%$Name%'" | Remove-WmiObject -Verbose;

$VBFile = ('{0}\secRMMSCCM_to_Syslog.vbs' -f $PSScriptRoot);
if ((Test-Path ("$VBFile")) -eq $true) {
	Remove-Item $VBFile; 
}